Bug 1574696 (CVE-2018-10534) - CVE-2018-10534 binutils: out of bounds memory write in peXXigen.c files
Summary: CVE-2018-10534 binutils: out of bounds memory write in peXXigen.c files
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10534
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180424,reported=2...
Depends On: 1574700 1574698 1574699 1574701 1574702 1574704 1574705 1579019
Blocks: 1574703
TreeView+ depends on / blocked
 
Reported: 2018-05-03 21:12 UTC by Laura Pardo
Modified: 2019-06-10 10:21 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:21:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3032 None None None 2018-10-30 07:24:23 UTC

Description Laura Pardo 2018-05-03 21:12:56 UTC
A flaw was found in the _bfd_XX_bfd_copy_private_bfd_data_common function in peXXigen.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.30, processes a negative Data Directory size with an unbounded loop that increases the value of (external_IMAGE_DEBUG_DIRECTORY) *edd so that the address exceeds its own memory region, resulting in an out-of-bounds memory write, as demonstrated by objcopy copying private info with _bfd_pex64_bfd_copy_private_bfd_data_common in pex64igen.c.


References:
https://sourceware.org/bugzilla/show_bug.cgi?id=23110

Patch:
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=aa4a8c2a2a67545e90c877162c53cc9de42dc8b4

Comment 1 Laura Pardo 2018-05-03 21:13:33 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1574700]


Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1574698]
Affects: fedora-all [bug 1574701]

Comment 6 errata-xmlrpc 2018-10-30 07:24:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3032 https://access.redhat.com/errata/RHSA-2018:3032


Note You need to log in before you can comment on or make changes to this bug.